Skip to content
LogoLogo

Addresses

Node API v1.0.0 (Arrekta Node API).

MethodPathSummary
GET/v1/addresses/{address}Address Summary
GET/v1/addresses/{address}/txsAddress Txs
GET/v1/addresses/{address}/utxosAddress Utxos

GET /v1/addresses/{address}

Address Summary.

curl -s http://127.0.0.1:28332/v1/addresses/<address>

Parameters

NameInTypeRequiredNotes
addresspathstringyes

Response 200 (application/json): AddressSummary

FieldTypeRequiredNotes
addressstringyes
balancesBalance[]yes
lockstringyes

Unknown fields may be added within v1; clients must ignore them.

Errors 400, 404, 409, 422, 429: application/problem+json Problem with a stable code.

operationId: address_summary_v1_addresses__address__get

GET /v1/addresses/{address}/txs

Address Txs.

curl -s http://127.0.0.1:28332/v1/addresses/<address>/txs

Parameters

NameInTypeRequiredNotes
addresspathstringyes
limitqueryintegernomin 1, max 500, default 50
before_heightqueryinteger | nullno
cursorquerystring | nullno

Response 200 (application/json): AddressHistory

FieldTypeRequiredNotes
addressstringyes
itemsHistoryItem[]yes
next_before_heightinteger | nullyesdeprecated: skips the rest of a height when a page ends mid-height; use next_cursor. may be null
next_cursorstring | nullnopass as ?cursor= for the next page (exact resume); null on the last page. may be null

Unknown fields may be added within v1; clients must ignore them.

Errors 400, 404, 409, 422, 429: application/problem+json Problem with a stable code.

operationId: address_txs_v1_addresses__address__txs_get

GET /v1/addresses/{address}/utxos

Address Utxos.

curl -s http://127.0.0.1:28332/v1/addresses/<address>/utxos

Parameters

NameInTypeRequiredNotes
addresspathstringyes
assetquerystring | nullno
limitqueryintegernomin 1, max 5000, default 1000

Response 200 (application/json): AddressUtxos

FieldTypeRequiredNotes
addressstringyes
utxosUtxo[]yes

Unknown fields may be added within v1; clients must ignore them.

Errors 400, 404, 409, 422, 429: application/problem+json Problem with a stable code.

operationId: address_utxos_v1_addresses__address__utxos_get

Schemas

AddressHistory

FieldTypeRequiredNotes
addressstringyes
itemsHistoryItem[]yes
next_before_heightinteger | nullyesdeprecated: skips the rest of a height when a page ends mid-height; use next_cursor. may be null
next_cursorstring | nullnopass as ?cursor= for the next page (exact resume); null on the last page. may be null

Unknown fields may be added within v1; clients must ignore them.

AddressSummary

FieldTypeRequiredNotes
addressstringyes
balancesBalance[]yes
lockstringyes

Unknown fields may be added within v1; clients must ignore them.

AddressUtxos

FieldTypeRequiredNotes
addressstringyes
utxosUtxo[]yes

Unknown fields may be added within v1; clients must ignore them.

Balance

FieldTypeRequiredNotes
assetstringyes
authority_forstring | nullnomay be null
control_forstring | nullnomay be null
decimalsintegeryes
frozenbooleanyes
immaturestringyes
spendablestringyes
tickerstring | nullyesmay be null

Unknown fields may be added within v1; clients must ignore them.

HistoryItem

FieldTypeRequiredNotes
heightintegeryes
txidstringyes

Unknown fields may be added within v1; clients must ignore them.

Utxo

FieldTypeRequiredNotes
amountstringyes
assetstringyes
authority_forstring | nullnomay be null
coinbasebooleanyes
control_forstring | nullnomay be null
decimalsintegeryes
heightintegeryes
maturebooleanyes
spent_in_mempoolbooleanyes
tickerstring | nullyesmay be null
txidstringyes
voutintegeryes

Unknown fields may be added within v1; clients must ignore them.